package com.supervision.config;

import cn.hutool.core.util.IdUtil;
import org.nebula.contrib.ngbatis.PkGenerator;

public class SnowflakePKGenerator implements PkGenerator {

    @Override
    @SuppressWarnings("all")
    public <T> T generate(String tagName, Class<T> pkType) {
        if (pkType == String.class) {
            return (T) IdUtil.getSnowflakeNextIdStr();
        }
        return (T) Long.valueOf(IdUtil.getSnowflakeNextIdStr());
    }
}
