package com.supervision.qanything.dto;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = true)
public class ChatParam extends BaseParam{

    /**
     * json数组类型,多知识库问答
     */
    private List<String> kbIds;

    /**
     * json数组类型,最多支持两轮对话历史消息
     */
    private List<HistoryDTO> history;
}
