package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 知识办事指南
 * @TableName kg_guide
 */
@TableName(value ="kg_guide")
@Data
public class KgGuide implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 知识id
     */
    private String kgId;

    /**
     * 标题
     */
    private String titile;

    /**
     * url地址
     */
    private String url;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新人ID
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private Date updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;

}